Contacts
Update a contact
x-api-key<token>
In: header
Path Parameters
contactId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/contacts/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "data": { "id": "string", "workspaceId": "string", "customerId": "string", "name": "string", "email": "string", "phone": "string", "role": "string", "tags": [ "string" ], "emailMarketingOptOut": true, "marketingConsentAt": "2019-08-24T14:15:22Z", "ageBand": "string", "guardianEmail": "string", "guardianConsentAt": "2019-08-24T14:15:22Z", "dmOptOutAt": "2019-08-24T14:15:22Z", "firstTouchSource": "FORM", "firstTouchAt": "2019-08-24T14:15:22Z", "firstTouchFormId": "string", "firstTouchUtm": { "property1": "string", "property2": "string" }, "firstTouchRef": "string", "metaContext": { "siteId": "string", "at": "2019-08-24T14:15:22Z", "hasFbp": true, "hasFbc": true }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}
Planeward Docs